<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="net.lab1024.sa.admin.module.business.itemKey.dao.ItemKeyDao">

    <!-- 查询结果列 -->
    <sql id="base_columns">
        t_item_key.item_key_id,
        t_item_key.order_number,
        t_item_key.item_id,
        t_item_key.prop_c1,
        t_item_key.prop_c2,
        t_item_key.prop_c3,
        t_item_key.prop_c4,
        t_item_key.prop_c5,
        t_item_key.prop_c6,
        t_item_key.prop_d1,
        t_item_key.prop_d2,
        t_item_key.create_user_id,
        t_item_key.create_user_name,
        t_item_key.create_time,
        t_item_key.update_time
    </sql>

    <!-- 分页查询 -->
    <select id="queryPage" resultType="net.lab1024.sa.admin.module.business.itemKey.domain.vo.ItemKeyVO">
        SELECT
        <include refid="base_columns"/>
        FROM t_item_key
    </select>


</mapper>
